start=strcat('Plots/highErrors2/',datestr(DAY,formatOut2),'/');
T=zeros(72,6);
Tex=zeros(72,6);

Uexcluded=NaN*ones(length(Udag),6);
Vexcluded=NaN*ones(length(Vdag),6);
% Udag(:,:,2)=sqrt(1./Udag(:,:,2));
for i=1:length(Udag)
    for j=1:6
     if isnan(Udag(i,j,2))
         Uexcluded(i,j)=1;
     elseif abs(Udag(i,j,6))>abs(Udag(i,j,2))       %Removing insignificant datapoints from plot
         Uexcluded(i,j)=1;
     end     
    end
end
for i=1:length(Vdag)
    for j=1:6
     if isnan(Vdag(i,j,2))
         Vexcluded(i,j)=1;
     elseif abs(Vdag(i,j,6))>abs(Vdag(i,j,2))      %Removing insignificant datapoints from plot
         Vexcluded(i,j)=1;
     end
    end
end

avgnu3=avgNU;
avgnu3(25:48,:)=avgNU;
avgnu3(49:72,:)=avgNU;


for i=1:6
    if max(max(abs(Udag(25:48,i,6))-abs(Udag(25:48,i,2))))>tol    
        Tex(:,i)=Udag(:,i,3).*Uexcluded(:,i);
        T(:,i)=Udag(:,i,3)-(-23.5:1:47.5)';
        figure(i+30)
        subplot(4,1,1)
        plot(Tex(:,i),Udag(:,i,5)./avgnu3(:,i))
        xlabel('time of day')
        ylabel('n/avg(n)')
        title(strcat('Relative number of meteors, ',datestr(DAY,formatOut2),' at ',heights(i,:),' km, U'))
        subplot(4,1,4)
        plot(-23.5:1:47.5,T(:,i));
        xlabel('Hour of day')
        ylabel('Deviation in time from centre of hour')
        title(strcat('Hourly deviations from the centre of each hour through the day ',heights(i,:),' km'))
        subplot(4,1,2)
        plot(Tex(:,i),abs(Udag(:,i,6)))
        title(strcat('Error induced by time deviation based on interpolant at ',heights(i,:),' km'))
        ylabel('Error (m/s)')
        xlabel('Time of day')
        subplot(4,1,3)
        plot(Tex(:,i),abs(Udag(:,i,6))-abs(Udag(:,i,2)))
        title(strcat('Difference between the error induced by time deviation based on interpolant at ',heights(i,:),' km and the 2 sigma error of the wind speed at that time.'))
        ylabel('Error (%)')
        xlabel('Time of day')
        saveas(figure(i+30),strcat(start,'collectivePlotU_',datestr(DAY,formatOut),'_',heights(i,:)),'fig')
     end
    
    if max(max(abs(Vdag(25:48,i,6))-abs(Vdag(25:48,i,2))))>tol
        Tex(:,i)=Vdag(:,i,3).*Vexcluded(:,i);
        T(:,i)=Vdag(:,i,3)-(-23.5:1:47.5)';
        figure(i+36)
        subplot(4,1,1)
        plot(Tex(:,i),Vdag(:,i,5)./avgnu3(:,i))
        xlabel('time of day (h)')
        ylabel('n/avg(n)')
        title(strcat('Relative number of meteors, ',datestr(DAY,formatOut2),' at ',heights(i,:),' km, V'))
        subplot(4,1,4)
        plot(-23.5:1:47.5,T(:,i));
        xlabel('Hour of day')
        ylabel('Deviation in time from centre of hour')
        title(strcat('Hourly deviations from the centre of each hour through the day ',heights(i,:),' km'))
        subplot(4,1,2)
        plot(Tex(:,i),abs(Vdag(:,i,6)))
        title(strcat('Error induced by time deviation based on interpolant at ',heights(i,:),' km'))
        ylabel('Error (m/s)')
        xlabel('Time of day')
        subplot(4,1,3)
        plot(Tex(:,i),abs(Vdag(:,i,6))-abs(Vdag(:,i,2)))
        title(strcat('Difference between the error induced by time deviation based on interpolant at ',heights(i,:),' km and the 2 sigma error of the wind speed at that time.'))
        ylabel('Error (%)')
        xlabel('Time of day')
        saveas(figure(i+36),strcat(start,'collectivePlotV',datestr(DAY,formatOut),'_',heights(i,:)),'fig')
    end    
end
