
gsrv=zeros(24,1);  %creating random variable matrix
sgma=0.15;

for i=1:24
  u=rand;
  z=sgma*(sqrt(2*log(1/(1-u)))); % sigm = standard deviation
  u=rand; % make z & u independent
  gsrv(i)=z*cos(2*pi*u);
end;
tbin=(0.5:1:23.5)';
treal=tbin+gsrv;

A=10;
phi=0.2;
f=@(t) A*sin(t*pi/6 +phi);
Ugenerated=f(treal);



figure()
subplot(2,1,1)
plot(0:0.15:24,f(0:0.15:24),'.')
hold on
plot(treal,Ugenerated,'*')
plot(tbin,Ugenerated,'r*')
plot(tbin,Ugenerated,'r')
axis([0 24 -12 12]);
xlabel('Bin time (hours)');
ylabel('Wind (m/s')
subplot(2,1,2)
plot(treal,abs(f(tbin)-Ugenerated))
xlabel('time (hours)')
ylabel('Magnitude of wind error (m/s)')