close all
clear all

U=zeros(120,6,6);
V=zeros(120,6,6);


formatOut='yyyymmdd';
start_date = datenum('08/29/2012'); %Deciding start and end date.
end_date = datenum('08/23/2013');
dates = (start_date:1:end_date);
N=length(dates);        % Number of days to evaluate


for Ncurr=1:N
    U(1:96,:,:)=U(25:120,:,:);
    V(1:96,:,:)=V(25:120,:,:);

    date = datestr(dates(Ncurr),formatOut);
    nameU=strcat('UVerror/',date,'U');
    nameV=strcat('UVerror/',date,'V');
    U(97:120,:,:)=loadUV(nameU);
    V(97:120,:,:)=loadUV(nameV);
    if Ncurr>4
    for i=1:6
       meanNU=1/gjennomsnitt(U(:,i,5),1);
       meanNV=1/gjennomsnitt(V(:,i,5),1);
       meanEU=1/gjennomsnitt(U(:,i,6),1);
       meanEV=1/gjennomsnitt(V(:,i,6),1);
       NU(:,i)=U(49:72,i,5).*meanNU;
       NV(:,i)=V(49:72,i,5).*meanNV;
       EU(:,i)=abs(U(49:72,i,6)).*meanEU;
       EV(:,i)=abs(V(49:72,i,6)).*meanEV;
    end
    date = datestr(dates(Ncurr-2),formatOut);
    nameUn=strcat('deviations/devnum',date,'U');
    nameVn=strcat('deviations/devnum',date,'V');
    nameU=strcat('deviations/dev',date,'U');
    nameV=strcat('deviations/dev',date,'V');
    dlmwrite(nameUn, NU(:,:,:), 'delimiter', '\t', 'precision', 6);
    dlmwrite(nameVn, NV(:,:,:), 'delimiter', '\t', 'precision', 6);
    dlmwrite(nameU, EU(:,:,:), 'delimiter', '\t', 'precision', 6);
    dlmwrite(nameV, EV(:,:,:), 'delimiter', '\t', 'precision', 6);
    end
end



clear NU
clear EV
clear EU
clear EV

