close all
clear all

formatOut='yyyymmdd';
start_date = datenum('09/10/2012'); %Deciding start and end date.
end_date   = datenum('08/23/2013');
dates = (start_date:1:end_date);
N=length(dates);        % Number of days to evaluate
% 
U=zeros(24,3,6);
V=zeros(24,3,6);
    
%titles=['Number of meteors per hour compared to the average at that hour over the period 81-84 km','Number of meteors per hour compared to the average at that hour over the period 84-87 km','Number of meteors per hour compared to the average at that hour over the period 87-90 km','Number of meteors per hour compared to the average at that hour over the period 90-93 km','Number of meteors per hour compared to the average at that hour over the period 93-96 km','Number of meteors per hour compared to the average at that hour over the period 96-99 km'];
for Ncurr=1:N
    
    U(1:16,:,:)=U(9:24,:,:);
    V(1:16,:,:)=V(9:24,:,:);
    if Ncurr>1
        U(1:16,:,3)=U(1:16,:,3)-24;
        V(1:16,:,3)=V(1:16,:,3)-24; 
    end
    U(17:24,:,:)=loadUV3(strcat('UVerror3/',datestr(dates(Ncurr),formatOut),'U'));
    V(17:24,:,:)=loadUV3(strcat('UVerror3/',datestr(dates(Ncurr),formatOut),'V'));
  
    U(17:24,:,3)=U(17:24,:,3)+24;
    V(17:24,:,3)=V(17:24,:,3)+24;
 
    if Ncurr>2&&Ncurr<=N
        
        for i=1:3
            if antallPunkter(U(:,i,1))>1
                RU=fitInterpolant(U(:,i,3),U(:,i,1));
                RV=fitInterpolant(V(:,i,3),V(:,i,1));
                U(:,i,6)=U(:,i,1)-RU((-22.5:3:46.5)');
                V(:,i,6)=V(:,i,1)-RV((-22.5:3:46.5)');
                clear RU;
                clear RV;
            end
        end
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr-1),formatOut),'U'), U(9:16,:,:), 'delimiter', '\t', 'precision', 6);
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr-1),formatOut),'V'), V(9:16,:,:), 'delimiter', '\t', 'precision', 6);
    elseif Ncurr==1;
    U(17:24,:,3)=U(17:24,:,3)-24;
    V(17:24,:,3)=V(17:24,:,3)-24;
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'U'), U(17:24,:,:), 'delimiter', '\t', 'precision', 6);
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'V'), V(17:24,:,:), 'delimiter', '\t', 'precision', 6);
    elseif Ncurr==2;
    U(17:24,:,3)=U(17:24,:,3)-24;
    V(17:24,:,3)=V(17:24,:,3)-24;
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'U'), U(17:24,:,:), 'delimiter', '\t', 'precision', 6);
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'V'), V(17:24,:,:), 'delimiter', '\t', 'precision', 6);
    end
    if Ncurr==N;
    U(17:24,:,3)=U(17:24,:,3)-24;
    V(17:24,:,3)=V(17:24,:,3)-24;
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'U'), U(17:24,:,:), 'delimiter', '\t', 'precision', 6);
    dlmwrite(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'V'), V(17:24,:,:), 'delimiter', '\t', 'precision', 6);
    end
    
end



% avgNU=zeros(24,6);
% avgNV=zeros(24,6);
% avgT=zeros(24,6);





% saveErrors;
% findDeviations;


% %Plotter data for en hyde:
% 
% U=loadUV('UVerror/20130126U');
% ALTITUDE=5;
% 
% 
% figure(1)
% subplot(2,1,1)
% plot(U(:,ALTITUDE,3),abs(U(:,ALTITUDE,6)))
% title('Error due to uneven sampling')
% xlim([0,24])
% subplot(2,1,2)
% plot(U(:,ALTITUDE,3),U(:,ALTITUDE,5))
% ylim([0,max(U(:,ALTITUDE,5))+10])
% xlim([0,24])
% title('Number of meteors')
% 

% close all
% clear all
% 
% 
% formatOut='yyyymmdd';
% start_date = datenum('08/27/2013'); %Deciding start and end date.
% end_date = datenum('09/03/2013');
% dates = (start_date:1:end_date);
% N=length(dates);        % Number of days to evaluate


% 
% for Ncurr=1:N
    
% date = datestr(dates(Ncurr),formatOut);
% NAME=strcat('MPD-Data/mp',date,'.trondheim.mpd');
% FID=fopen(NAME);
% FORMAT='%s%s%*s%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f';
% DATA = textscan(FID,FORMAT,'HeaderLines',29);
% DATA{1,1}=strrep(DATA{1,1},'/','');
% DATA{1,1}=str2double(DATA{1,1});
% DATA{1,2}=strrep(DATA{1,2},':','');
% DATA{1,2}=str2double(DATA{1,2});
% DATA=cell2mat(DATA);
% fclose(FID); 
% % name=strcat('test',date);
% % getUV(DATA,name);
% L=size(DATA,1);
% if floor(DATA(L,2)*10^-4)~=23
%     date
% end
% end

% 
% for Ncurr=3:N-2
%     date = datestr(dates(Ncurr),formatOut);
%     [EU((1+Ncurr*24):(24*(Ncurr+1)),:),EV((1+Ncurr*24):(24*(Ncurr+1)),:),NU((1+Ncurr*24):(24*(Ncurr+1)),:), NV((1+Ncurr*24):(24*(Ncurr+1)),:)]=loadDev(date);
% end
% 
% % 
% % scatter(NV(:,6),V(:,6),'.')
% l=size(EU(:,1));
% 
% for i=1:6
% figure(i)
% subplot(2,2,1)
% plot(1/24:1/24:N-1,NU(:,i))
% subplot(2,2,3)
% plot(1/24:1/24:N-1,EU(:,i))
% subplot(2,2,2)
% plot(1/24:1/24:N-1,NV(:,i))
% subplot(2,2,4)
% plot(1/24:1/24:N-1,EV(:,i))
% end
